
// Copyright 1996 John Storrs. All rights reserved. This work may be copied, 
// modified and distributed under the terms of the GNU General Public License.

#ifndef HexapodBottomJointClass
#define HexapodBottomJointClass

#include <math.h>
#include "Primitive.H"
#include "Artifact.H"

struct BottomJointParameters
{
   double ballRadius;  // ball joint dimension
};

class HexapodBottomJoint: public Artifact
{
   public:
      HexapodBottomJoint() {};
      HexapodBottomJoint
        (char* name, const BottomJointParameters& parameters);
      void operator= 
        (const HexapodBottomJoint& that);

   private:
      double ballRadius;
      Sphere ball;
};

#endif
