
// Copyright 1996 John Storrs. All rights reserved. This work may be copied, 
// modified and distributed under the terms of the GNU General Public License.

// HexapodFrameCone class - standard hexapod frame component

// ***not currently used***

#include "HexapodFrameCone.H"

HexapodFrameCone::HexapodFrameCone
  (char* name, 
   Vector3 p1, double rad1, 
   Vector3 p2, double rad2) : Artifact(name)
{
   // initialise data member
   end1 = p1;
   end2 = p2;
   radius1 = rad1;
   radius2 = rad2;

   // construct hexapod frame cone 
   cone = Cone(p1, rad1, p2, rad2);
   add(&cone);
}

void
HexapodFrameCone::operator= 
  (const HexapodFrameCone& that)
{
   // mirror that to this
   memcpy(this, &that, sizeof(*this));

   // fix artifact components
   firstPrimitive = 0;
   add(&cone);
}
