
// Copyright 1996 John Storrs. All rights reserved. This work may be copied, 
// modified and distributed under the terms of the GNU General Public License.

#ifndef HexapodTopJointClass
#define HexapodTopJointClass

#include <math.h>
#include "Primitive.H"
#include "Artifact.H"

struct TopJointParameters
{
   double ballRadius;  // ball joint dimension
};

class HexapodTopJoint: public Artifact
{
   public:
      HexapodTopJoint() {};
      HexapodTopJoint
        (char* name, const TopJointParameters& parameters);
      void operator= 
        (const HexapodTopJoint& that);

   private:
      double ballRadius;
      Sphere ball;
};

#endif
