
// Copyright 1996 John Storrs. All rights reserved. This work may be copied, 
// modified and distributed under the terms of the GNU General Public License.

#ifndef HexapodFrameBallClass
#define HexapodFrameBallClass

#include <math.h>
#include "Primitive.H"
#include "Artifact.H"

class HexapodFrameBall: public Artifact
{
   public:
      HexapodFrameBall() {};
      HexapodFrameBall
        (char* name, double radius);
      void operator= 
        (const HexapodFrameBall& that);

   private:
      double ballRadius;
      Sphere sphere;
};

#endif
